petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSwarmSortGetPointsPerCell

Creates an array of point indices for all points in a cell

### Synopsis

    PETSC_EXTERN PetscErrorCode DMSwarmSortGetPointsPerCell(DM dm,PetscInt e,PetscInt *npoints,PetscInt **pidlist)

Not collective

### Input parameters

| dm | - a DMSwarm object
| e | - the index of the cell
| npoints | - the number of points in the cell
| pidlist | - array of the indices indentifying all points in cell e

### Notes

- You must call DMSwarmSortGetAccess() before you can call DMSwarmSortGetPointsPerCell() - The array pidlist is internally created and must be free'd by the user

### See Also

DMSwarmSetType(), DMSwarmSortGetAccess(), DMSwarmSortGetNumberOfPointsPerCell()

### Level

advanced

### Location

src/dm/impls/swarm/swarmpic_sort.c

### Examples

src/dm/examples/tutorials/ex20.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages